Retest Finding
curl --request POST \
--url https://api.mindfort.app/v1/findings/{finding_id}/retest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.mindfort.app/v1/findings/{finding_id}/retest"
payload = { "target_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_credential_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.mindfort.app/v1/findings/{finding_id}/retest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/findings/{finding_id}/retest"
payload := strings.NewReader("{\n \"target_credential_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retest_status": "QUEUED"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}Findings
Retest Finding
POST
/
v1
/
findings
/
{finding_id}
/
retest
Retest Finding
curl --request POST \
--url https://api.mindfort.app/v1/findings/{finding_id}/retest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.mindfort.app/v1/findings/{finding_id}/retest"
payload = { "target_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_credential_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.mindfort.app/v1/findings/{finding_id}/retest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/findings/{finding_id}/retest"
payload := strings.NewReader("{\n \"target_credential_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retest_status": "QUEUED"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}Authorizations
API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.
Path Parameters
Finding UUID
Body
application/json
Was this page helpful?